version: "3.8"

services:
  php:
    container_name: "php-fpm"
    build:
      context: ./docker/php
    environment:
      - APP_ENV=${APP_ENV}
      - APP_SECRET=${APP_SECRET}
    volumes:
      - ./:/var/www
    depends_on:
      - db
  nginx:
    container_name: "nginx"
    build:
      context: ./docker/nginx
    volumes:
      - ./:/var/www
      - ./docker/nginx/nginx.conf:/etc/nginx/nginx.conf
      # - ./docker/certbot/conf:/etc/letsencrypt
      # - ./docker/certbot/www:/var/www/certbot
    depends_on:
      - php
      - mailcatcher
    ports:
      - "80:80"

  # certbot:
  #   container_name: "certbot"
  #   image: certbot/certbot:latest
  #   volumes:
  #     - ./docker/certbot/conf:/etc/letsencrypt
  #     - ./docker/certbot/www:/var/www/certbot

  db:
    image: postgres:14.1
    container_name: db
    ports:
      - "5432:5432"
    restart: always
    environment:
      POSTGRES_USER: tikero
      POSTGRES_PASSWORD: password
    volumes:
      - "postgres-vol:/var/lib/postgresql/data"


  pgadmin:
    container_name: pgAdmin
    image: dpage/pgadmin4
    restart: always
    environment:
      PGADMIN_DEFAULT_EMAIL: admin@admin.com
      PGADMIN_DEFAULT_PASSWORD: root
    ports:
    - 5050:80
    depends_on:
    - db

  mailcatcher:
    image: schickling/mailcatcher
    ports:
      - "1025:1025"
      - "1080:1080"

volumes:
  postgres-vol:

  #sudo chmod -R 777 .
  #docker-compose run --rm certbot renew
